TELINIT(8)

NAME
telinit - communicate with the boot program

SYNOPSIS
telinit [ -u ] [ -- ] args

DESCRIPTION
telinit is used to invoke the program fileprefix/bootprog as specified in /etc/inittab (see inittab(5)) with 'telinit' as 1st argument and further arguments args. If you use a runlevel-based system for instance, the boot program would be the runlevel control script and args would be a number that specifies the new runlevel to switch to. Refer to the documentation for your boot program for more information. Try invoking `telinit help' to get your boot program's help text. If the user invoking telinit(8) is not root, telinit will use $INIT_ROOT/etc/inittab to find the boot program rather than the main system /etc/inittab. This is useful to control a user space init (see simpleinit(8)). If INIT_ROOT is not set it will default to the current directory. INIT_ROOT will be exported to make it available to the boot program. The INIT_D environment variable will set to the fileprefix value from inittab(5) and the PATH will be set according to inittab(5), too.

OPTIONS

-u  Communicate with the boot program belonging to a user space init instead of the main system init. This switch need only be supplied if the user invoking telinit(8) is root.

--  Everything after this is considered part of args. Use this if args starts with a '-' that otherwise would be interpreted as introducing an option to telinit(8).

EXIT CODES
telinit(8) will return the exit code of bootprog unless an unforeseen error occurs.

FILES
/etc/inittab
/dev/initctl

AUTHOR
Matthias Benkmann <m.s.b@gmx.net>

SEE ALSO
inittab(5), initctl(8), simpleinit(8), init(8),